<?xml version="1.0" encoding="UTF-8"?>
<part class="form">
  <style>
    <property name="Geometry">{320,94,1024,500}</property>
    <property name="Name">[vda0cfop_sai]</property>
    <property name="Caption">[Dados da NF (VENDAS):]</property>
    <property name="AlwaysOnTop">.F.</property>
    <property name="AutoCenter">.T.</property>
    <property name="Font">
      <font name="Courier New" width="0" height="-12" weight="400"/>
    </property>
    <property name="FormType">[dlgModal]</property>
    <property name="Modal">.F.</property>
    <property name="ScopeVarObj">[Local]</property>
    <property name="lClipper">.T.</property>
    <property name="lExitOnEnter">.T.</property>
    <property name="lExitOnESC">.T.</property>
    <property name="Variables">{modus,osoSayM_fCli,osoSaym_Ftransp}</property>
    <property name="FromStyle">[Popup]</property>
    <property name="Clipsiblings">.F.</property>
    <property name="Clipchildren">.F.</property>
    <property name="TitleBar">.T.</property>
    <property name="StyleBorder">[3 - Sizable (Default)]</property>
    <property name="nBackColor">16777215</property>
    <property name="Icon">[]</property>
    <property name="Bitmap">[icon\tela.jpg]</property>
    <property name="NoIcon">.F.</property>
    <property name="SystemMenu">.F.</property>
    <property name="Minimizebox">.F.</property>
    <property name="Maximizebox">.F.</property>
    <property name="AbsAlignment">.T.</property>
    <property name="WindowState">[1 - Normal (Default)]</property>
    <property name="minHeight">-1</property>
    <property name="maxHeight">-1</property>
    <property name="minWidth">-1</property>
    <property name="maxWidth">-1</property>
    <property name="ScrollBars">[0 - None (Default)]</property>
    <property name="DSControl">.F.</property>
  </style>
  <method name="onFormInit">
    <![CDATA[parameters o, p1
modus:=p1]]>
  </method>
  <method name="onDlgInit">
    <![CDATA[if(modus<>NIL,SetWindowText( oDlg:handle, modus ),)
SET(5,1960) ]]>
  </method>
  <part class="line">
    <style>
      <property name="Geometry">{4,461,1013,2}</property>
      <property name="Name">[oLine1]</property>
    </style>
  </part>
  <part class="group">
    <style>
      <property name="Geometry">{4,0,1013,457}</property>
      <property name="Name">[oGroup1]</property>
      <property name="TabIndex">1</property>
    </style>
    <part class="editbox">
      <style>
        <property name="Geometry">{205,52,136,32}</property>
        <property name="Name">[om_Fnum]</property>
        <property name="varName">[m_Fnum]</property>
        <property name="TextColor">4194304</property>
        <property name="font">
          <font name="Arial" width="0" height="-24" weight="700"/>
        </property>
        <property name="nMaxLength">9</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">1</property>
      </style>
      <method name="onLostFocus">
        <![CDATA[eval(wbValidaFnum)]]>
      </method>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{70,60,126,24}</property>
        <property name="Name">[oSaym_Fnum]</property>
        <property name="Caption">[Nota Fiscal:]</property>
        <property name="Justify">[Right]</property>
        <property name="TextColor">4194304</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-19" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">2</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{591,52,131,32}</property>
        <property name="Name">[om_Fdatasai]</property>
        <property name="varName">[m_Fdatasai]</property>
        <property name="TextColor">4194304</property>
        <property name="font">
          <font name="Arial" width="0" height="-24" weight="700"/>
        </property>
        <property name="nMaxLength">10</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">2</property>
      </style>
      <method name="onLostFocus">
        <![CDATA[eval(_bv02)]]>
      </method>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{427,60,154,24}</property>
        <property name="Name">[oSaym_Fdatasai]</property>
        <property name="Caption">[Data da Saida:]</property>
        <property name="Justify">[Right]</property>
        <property name="TextColor">4194304</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-19" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">3</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{205,98,105,32}</property>
        <property name="Name">[oM_fCli]</property>
        <property name="varName">[M_fCli]</property>
        <property name="TextColor">4194304</property>
        <property name="font">
          <font name="Arial" width="0" height="-24" weight="700"/>
        </property>
        <property name="nMaxLength">6</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">3</property>
      </style>
      <method name="onLostFocus">
        <![CDATA[PSQ_BROW('SCCRCLI','PSCCRCLI','M_FCLI','N','N',8,48,'CR_NOME','@S35','',,oM_fCli,osoSayM_fCli).AND.EVAL(BWCFOP)]]>
      </method>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{70,109,127,23}</property>
        <property name="Name">[oSayM_fCli]</property>
        <property name="Caption">[Cod. Cliente:]</property>
        <property name="Justify">[Right]</property>
        <property name="TextColor">4194304</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-19" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">4</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{272,176,60,32}</property>
        <property name="Name">[om_Ffrete]</property>
        <property name="_InitValue">[CFOP Transp:]</property>
        <property name="varName">[m_Ffrete]</property>
        <property name="TextColor">4194304</property>
        <property name="font">
          <font name="Arial" width="0" height="-24" weight="700"/>
        </property>
        <property name="nMaxLength">3</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">4</property>
      </style>
      <method name="onLostFocus">
        <![CDATA['/'+alltrim(m_ffrete)+'/'$'/CIF/FOB/']]>
      </method>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{52,185,217,23}</property>
        <property name="Name">[oSaym_Ffrete]</property>
        <property name="Caption">[Tipo de Frete (CIF/FOB):]</property>
        <property name="Justify">[Right]</property>
        <property name="TextColor">4194304</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-19" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">5</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{561,176,143,32}</property>
        <property name="Name">[om_Fseguro]</property>
        <property name="varName">[m_Fseguro]</property>
        <property name="TextColor">4194304</property>
        <property name="font">
          <font name="Arial" width="0" height="-24" weight="700"/>
        </property>
        <property name="cPicture">[@e 99,999.99]</property>
        <property name="nMaxLength">9</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">5</property>
      </style>
      <method name="onGetFocus">
        <![CDATA[(M_FgDev='E'.and.m_ffrete='FOB').or.(M_FgDev<>'E'.and.m_ffrete='CIF')]]>
      </method>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{410,185,146,23}</property>
        <property name="Name">[oSaym_Fseguro]</property>
        <property name="Caption">[Valor do Frete:]</property>
        <property name="Justify">[Right]</property>
        <property name="TextColor">4194304</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-19" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">6</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{272,217,111,32}</property>
        <property name="Name">[om_Ftransp]</property>
        <property name="varName">[m_Ftransp]</property>
        <property name="TextColor">4194304</property>
        <property name="font">
          <font name="Arial" width="0" height="-24" weight="700"/>
        </property>
        <property name="nMaxLength">4</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">6</property>
      </style>
      <method name="onLostFocus">
        <![CDATA[PSQ_BROW('SF_TRN','PSFTRN','M_FTRANSP','N','N',12,48,'CP_NOME','@S35','',,om_Ftransp,osoSaym_Ftransp)]]>
      </method>
      <method name="onGetFocus">
        <![CDATA[(M_FgDev='E'.and.m_ffrete='FOB').or.(M_FgDev<>'E'.and.m_ffrete='CIF')]]>
      </method>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{142,226,127,23}</property>
        <property name="Name">[oSaym_Ftransp]</property>
        <property name="Caption">[Transportador:]</property>
        <property name="Justify">[Right]</property>
        <property name="TextColor">4194304</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-19" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">7</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{272,259,81,32}</property>
        <property name="Name">[om_fCfopTrn]</property>
        <property name="varName">[m_fCfopTrn]</property>
        <property name="TextColor">4194304</property>
        <property name="font">
          <font name="Arial" width="0" height="-24" weight="700"/>
        </property>
        <property name="cPicture">[9.999]</property>
        <property name="nMaxLength">5</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">7</property>
      </style>
      <method name="onGetFocus">
        <![CDATA[(M_FgDev='E'.and.m_ffrete='FOB').or.(M_FgDev<>'E'.and.m_ffrete='CIF')]]>
      </method>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{83,268,186,23}</property>
        <property name="Name">[oSaym_fCfopTrn]</property>
        <property name="Caption">[CFOP Transportador:]</property>
        <property name="TextColor">4194304</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-19" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">8</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{472,259,133,32}</property>
        <property name="Name">[om_Fplaca]</property>
        <property name="varName">[m_Fplaca]</property>
        <property name="TextColor">4194304</property>
        <property name="font">
          <font name="Arial" width="0" height="-24" weight="700"/>
        </property>
        <property name="cPicture">[XXX-9999]</property>
        <property name="nMaxLength">8</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">8</property>
      </style>
      <method name="onGetFocus">
        <![CDATA[(M_FgDev='E'.and.m_ffrete='FOB').or.(M_FgDev<>'E'.and.m_ffrete='CIF')]]>
      </method>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{410,268,57,23}</property>
        <property name="Name">[oSaym_Fplaca]</property>
        <property name="Caption">[Placa:]</property>
        <property name="TextColor">4194304</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-19" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">9</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{643,259,57,32}</property>
        <property name="Name">[om_fufplaca]</property>
        <property name="varName">[m_fufplaca]</property>
        <property name="TextColor">4194304</property>
        <property name="font">
          <font name="Arial" width="0" height="-24" weight="700"/>
        </property>
        <property name="cPicture">[XX]</property>
        <property name="nMaxLength">2</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">9</property>
      </style>
      <method name="onGetFocus">
        <![CDATA[(M_FgDev='E'.and.m_ffrete='FOB').or.(M_FgDev<>'E'.and.m_ffrete='CIF')]]>
      </method>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{608,268,33,23}</property>
        <property name="Name">[oSaym_fufplaca]</property>
        <property name="Caption">[UF:]</property>
        <property name="TextColor">4194304</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-19" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">10</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{272,324,68,32}</property>
        <property name="Name">[om_FLoja]</property>
        <property name="varName">[m_FLoja]</property>
        <property name="TextColor">4194304</property>
        <property name="font">
          <font name="Arial" width="0" height="-24" weight="700"/>
        </property>
        <property name="nMaxLength">3</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">10</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{141,333,128,23}</property>
        <property name="Name">[oSaym_FLoja]</property>
        <property name="Caption">[Loja Emitente:]</property>
        <property name="Justify">[Right]</property>
        <property name="TextColor">4194304</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-19" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">11</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{272,365,136,32}</property>
        <property name="Name">[om_Fpesolq2]</property>
        <property name="varName">[m_Fpesolq2]</property>
        <property name="TextColor">4194304</property>
        <property name="font">
          <font name="Arial" width="0" height="-24" weight="700"/>
        </property>
        <property name="cPicture">[@E 9,999.999]</property>
        <property name="nMaxLength">9</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">11</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{50,374,219,23}</property>
        <property name="Name">[oSaym_Fpesolq2]</property>
        <property name="Caption">[Peso Sem Embalagem:]</property>
        <property name="Justify">[Right]</property>
        <property name="TextColor">4194304</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-19" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">12</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{272,409,136,32}</property>
        <property name="Name">[om_Fpesobr2]</property>
        <property name="varName">[m_Fpesobr2]</property>
        <property name="TextColor">4194304</property>
        <property name="font">
          <font name="Arial" width="0" height="-24" weight="700"/>
        </property>
        <property name="cPicture">[@E 9,999.999]</property>
        <property name="nMaxLength">9</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">12</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{50,418,219,23}</property>
        <property name="Name">[oSaym_Fpesobr2]</property>
        <property name="Caption">[Peso Com Embalagem:]</property>
        <property name="Justify">[Right]</property>
        <property name="TextColor">4194304</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-19" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">13</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{660,365,178,32}</property>
        <property name="Name">[om_Fespecie]</property>
        <property name="varName">[m_Fespecie]</property>
        <property name="TextColor">4194304</property>
        <property name="font">
          <font name="Arial" width="0" height="-24" weight="700"/>
        </property>
        <property name="cPicture">[@S10]</property>
        <property name="nMaxLength">10</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">13</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{571,374,83,23}</property>
        <property name="Name">[oSaym_Fespecie]</property>
        <property name="Caption">[Especie:]</property>
        <property name="Justify">[Right]</property>
        <property name="TextColor">4194304</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-19" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">14</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{660,409,93,32}</property>
        <property name="Name">[om_Fquant]</property>
        <property name="varName">[m_Fquant]</property>
        <property name="TextColor">4194304</property>
        <property name="font">
          <font name="Arial" width="0" height="-24" weight="700"/>
        </property>
        <property name="cPicture">[999999]</property>
        <property name="nMaxLength">6</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">14</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{561,418,93,23}</property>
        <property name="Name">[oSaym_Fquant]</property>
        <property name="Caption">[Volumes:]</property>
        <property name="Justify">[Right]</property>
        <property name="TextColor">4194304</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-19" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">15</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{345,101,560,29}</property>
        <property name="Name">[osoSayM_fCli]</property>
        <property name="Caption">[...]</property>
        <property name="TextColor">4194304</property>
        <property name="font">
          <font name="Arial" width="0" height="-24" weight="700"/>
        </property>
        <property name="Border">.T.</property>
        <property name="TabIndex">16</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{411,222,556,27}</property>
        <property name="Name">[osoSaym_Ftransp]</property>
        <property name="Caption">[...]</property>
        <property name="font">
          <font name="Arial" width="0" height="-24" weight="400"/>
        </property>
        <property name="Border">.T.</property>
        <property name="TabIndex">17</property>
      </style>
    </part>
    <part class="ownerbutton">
      <style>
        <property name="Geometry">{318,110,20,19}</property>
        <property name="Name">[oboM_fCli]</property>
        <property name="BtnBitmap">[smPreview]</property>
        <property name="lResource">.T.</property>
        <property name="TabIndex">18</property>
      </style>
      <method name="onClick">
        <![CDATA[PSQ_BROW('SCCRCLI','PSCCRCLI','M_FCLI','N','N',8,48,'CR_NOME','@S35','','EXIBA',oM_fCli,osoSayM_fCli)]]>
      </method>
    </part>
    <part class="ownerbutton">
      <style>
        <property name="Geometry">{389,233,16,16}</property>
        <property name="Name">[obom_Ftransp]</property>
        <property name="BtnBitmap">[smPreview]</property>
        <property name="lResource">.T.</property>
        <property name="TabIndex">19</property>
      </style>
      <method name="onClick">
        <![CDATA[PSQ_BROW('SF_TRN','PSFTRN','M_FTRANSP','N','N',12,48,'CP_NOME','@S35','','EXIBA',om_Ftransp,osoSaym_Ftransp)]]>
      </method>
    </part>
  </part>
  <part class="button">
    <style>
      <property name="Geometry">{858,468,70,28}</property>
      <property name="Name">[oOwnerbutton1]</property>
      <property name="Id">[IDOK]</property>
      <property name="Caption">[&amp;OK]</property>
      <property name="TabIndex">1000</property>
    </style>
  </part>
  <part class="button">
    <style>
      <property name="Geometry">{939,468,70,28}</property>
      <property name="Name">[oOwnerbutton2]</property>
      <property name="Id">[IDCANCEL]</property>
      <property name="Caption">[&amp;Cancela]</property>
      <property name="TabIndex">1001</property>
    </style>
  </part>
</part>
